Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class PortalGroupHierarchyBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.PortalGroupHierarchyBean

public class PortalGroupHierarchyBean
extends BaseBean

PortalGroupHiearchy EJB implementation.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `groupId` The group id.
`java.lang.String` | `portalId` The portal id.

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`PortalGroupHierarchyBean()`

Method Summary
`void` | `ejbCreate(PortalGroupHierarchyPK pk)` Ejb create.
`void` | `ejbPostCreate(PortalGroupHierarchyPK pk)` Ejb post create.
`java.lang.String` | `getGroupId()` Get group id.
`java.lang.String` | `getPortalId()` Get portal id.

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portalId

    public java.lang.String portalId

  The portal id.

### groupId

    public java.lang.String groupId

  The group id.

Constructor Detail

### PortalGroupHierarchyBean

    public PortalGroupHierarchyBean()

Method Detail

### ejbCreate

    public void ejbCreate(PortalGroupHierarchyPK pk)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Ejb create.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### ejbPostCreate

    public void ejbPostCreate(PortalGroupHierarchyPK pk)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Ejb post create. ignored.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### getGroupId

    public java.lang.String getGroupId()

  Get group id.
  Returns:
    `String` the group id.

### getPortalId

    public java.lang.String getPortalId()

  Get portal id.
  Returns:
    `String` the portal id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved